# This should be pushed to tainted as per Mageia's policy on emulators

%global __provides_exclude_from ^%{_libdir}/games/%{name}/.*\\.so$

Name:           pcsx2
Version:        1.4.0
Release:        %mkrel 3
Summary:        Open source PlayStation 2 emulator
License:        GPLv2+
Group:          Emulators
Url:            http://pcsx2.net
Source0:        https://github.com/PCSX2/pcsx2/archive/%{name}-%{version}.tar.gz
Patch0:         pcsx2-1.4.0-mga-allow-disabled-plugins.patch
Patch1:         pcsx2-git-x86emitter-gcc6+5.4-compilation-fix.patch

ExclusiveArch:  %ix86

BuildRequires:  cmake
BuildRequires:  bzip2-devel
BuildRequires:  jpeg-devel
BuildRequires:  libaio-devel
BuildRequires:  wxgtku3.0-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(soundtouch)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)

%description
PCSX2 is an open source Playstation 2 emulator. Its purpose is to mimic
the the PS2 hardware, using a combination of MIPS CPU Interpreters,
Recompilers and a Virtual Machine which manages hardware states and
PS2 system memory.

%files -f %{name}.lang
%doc COPYING.*
%doc %{_docdir}/%{name}/PCSX2_*.pdf
%{_bindir}/PCSX2
%{_bindir}/%{name}_*
%{_datadir}/applications/PCSX2.desktop
%{_datadir}/pixmaps/PCSX2.xpm
%{_datadir}/games/%{name}/cheats_ws.zip
%attr(0666,games,games) %{_datadir}/games/%{name}/GameIndex.dbf
%{_libdir}/games/%{name}/
%{_mandir}/man1/PCSX2.1*

#----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake \
    -DPACKAGE_MODE=TRUE \
    -DXDG_STD=TRUE \
    -DFORCE_INTERNAL_SOUNDTOUCH=FALSE \
    -DBUILD_REPLAY_LOADERS=TRUE \
    -DDISABLE_ADVANCE_SIMD=TRUE \
    -DDISABLE_PCSX2_WRAPPER=TRUE \
    -DEXTRA_PLUGINS=TRUE \
    -DGAMEINDEX_DIR="%{_gamesdatadir}/%{name}" \
    -DPLUGIN_DIR="%{_libdir}/games/%{name}" \
    -DDOC_DIR="%{_docdir}/%{name}" \
    -DSDL2_API=FALSE \
    -DGTK2_API=TRUE \
    -DWX28_API=FALSE
# SDL2: Disable for now as it requires a wxGTK that is not linked
# against SDL1.2, which is not the case in mga6 so far

%make_build

%install
%make_install -C build

%find_lang %{name} --all-name


%changelog
* Fri Jun 03 2016 akien <akien> 1.4.0-3.mga6
+ Revision: 1020193
- Upstream patch to fix build with gcc6 (and apparently 5.4 too for us)
- Rebuild against wxGTK+ 3.0 with GTK+2 API
- Build against wxgtk3.0 (recommended) and thus GTK+3 for us (experimental)

* Sat Jan 16 2016 akien <akien> 1.4.0-2.mga6.tainted
+ Revision: 924755
- Set XDG_STD mode in the build options

* Fri Jan 15 2016 akien <akien> 1.4.0-1.mga6.tainted
+ Revision: 923308
- import pcsx2 based on a ROSA source package

